Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.mock
Class MockListener

    java.lang.Object
      org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
          org.jboss.soa.esb.mock.MockListener

All Implemented Interfaces:
  java.io.Serializable, ManagedLifecycle

    public class MockListener

extends AbstractManagedLifecycle

Mock listener implementation.

Author:
  tom.fennelly@jboss.com
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
`PARAM_TERMINATION_PERIOD`

Constructor Summary
`MockListener(ConfigTree config)`

Method Summary
`protected void` | `doDestroy()` Handle the destroy of the managed instance.
`protected void` | `doInitialise()` Handle the initialisation of the managed instance.
`protected void` | `doStart()` Handle the start of the managed instance.
`protected void` | `doStop()` Handle the stop of the managed instance.

Methods inherited from class org.jboss.soa.esb.listeners.lifecycle.AbstractManagedLifecycle
`addManagedLifecycleEventListener, changeState, destroy, getConfig, getState, getTerminationPeriod, initialise, removeManagedLifecycleEventListener, start, stop, waitUntilDestroyed, waitUntilDestroyed, waitUntilNotState, waitUntilState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockListener

    public MockListener(ConfigTree config)
                 throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### doInitialise

    protected void doInitialise()
                         throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the initialisation of the managed instance.

  Specified by:
    `doInitialise` in class `AbstractManagedLifecycle`
  Throws:
    `ManagedLifecycleException` - for errors while initialisation.

### doStart

    protected void doStart()
                    throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the start of the managed instance.

  Specified by:
    `doStart` in class `AbstractManagedLifecycle`
  Throws:
    `ManagedLifecycleException` - for errors while starting.

### doStop

    protected void doStop()
                   throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the stop of the managed instance.

  Specified by:
    `doStop` in class `AbstractManagedLifecycle`
  Throws:
    `ManagedLifecycleException` - for errors while stopping.

### doDestroy

    protected void doDestroy()
                      throws ManagedLifecycleException

  Description copied from class: `AbstractManagedLifecycle`
  Handle the destroy of the managed instance.

  Specified by:
    `doDestroy` in class `AbstractManagedLifecycle`
  Throws:
    `ManagedLifecycleException` - for errors while destroying.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD